petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESGetType

Gets the SNES method type and name (as a string).

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetType(SNES snes,SNESType *type)

Not Collective

### Input Parameter

snes -nonlinear solver context

### Output Parameter

type -SNES method (a character string)

### Level

intermediate

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex3.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages